Subject: Re: linux-next: Tree for Jan 30 + 20200206 (drivers/infiniband/hw/mlx5/)

From: Leon Romanovsky <[email-masked]>
Date: Thu, 6 Feb 2020 13:40:33 +0200

On Thu, Feb 06, 2020 at 09:30:19AM +0200, Leon Romanovsky wrote:
> On Wed, Feb 05, 2020 at 09:31:15PM -0800, Randy Dunlap wrote:
> > On 1/30/20 5:47 AM, Randy Dunlap wrote:
> > > On 1/29/20 8:28 PM, Stephen Rothwell wrote:
> > >> Hi all,
> > >>
> > >> Please do not add any v5.7 material to your linux-next included
> > >> branches until after v5.6-rc1 has been released.
> > >>
> > >> Changes since 20200129:
> > >>
> > >
> > > on i386:
> > >
> > > ERROR: "__udivdi3" [drivers/infiniband/hw/mlx5/mlx5_ib.ko] undefined!
> > > ERROR: "__divdi3" [drivers/infiniband/hw/mlx5/mlx5_ib.ko] undefined!
> > >
> > >
> > > Full randconfig file is attached.
> > >
> > >
> >
> > I am still seeing this on linux-next of 20200206.
>
> Sorry, I was under wrong impression that this failure is connected to
> other issue reported by you.
>
> I'm looking on it right now.

Randy,

I'm having hard time to reproduce the failure.
➜  kernel git:(a0c61bf1c773) ✗ git fixes
Fixes: a0c61bf1c773 ("Add linux-next specific files for 20200206")
➜  kernel git:(a0c61bf1c773) ✗ wget https://lore.kernel.org/lkml/[email-masked]/2-config-r9621
from https://lore.kernel.org/lkml/[email-masked]/
➜  kernel git:(a0c61bf1c773) ✗ mv 2-config-r9621 .config
➜  kernel git:(a0c61bf1c773) ✗ make ARCH=i386 -j64 -s M=drivers/infiniband/hw/mlx5
➜  kernel git:(a0c61bf1c773) ✗ file drivers/infiniband/hw/mlx5/mlx5_ib.ko
drivers/infiniband/hw/mlx5/mlx5_ib.ko: ELF 32-bit LSB relocatable, Intel 80386, version 1 (SYSV), BuildID[sha1]=49f81f5d56f7caf95d4a6cc9097391622c34f4ba, not stripped

on my 64bit system:
➜  kernel git:(rdma-next) file drivers/infiniband/hw/mlx5/mlx5_ib.ko
drivers/infiniband/hw/mlx5/mlx5_ib.ko: ELF 64-bit LSB relocatable, x86-64, version 1 (SYSV), BuildID[sha1]=2dcb1e30d0bba9885d5a824f6f57488a98f0c95d, with debug_info, not stripped

Thanks

> Thanks
> > --
> > ~Randy